Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicScrollBarUI.PropertyChangeHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicScrollBarUI.PropertyChangeHandler

All Implemented Interfaces:
  EventListener, PropertyChangeListener

Enclosing class:
  BasicScrollBarUI

public class BasicScrollBarUI.PropertyChangeHandler
extends Object
implements PropertyChangeListener

Constructor Summary
`BasicScrollBarUI.PropertyChangeHandler()`

Method Summary
`void` | `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicScrollBarUI.PropertyChangeHandler

    public BasicScrollBarUI.PropertyChangeHandler()

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Description copied from interface: `PropertyChangeListener`
  This method gets called when a bound property is changed.
  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Following copied from interface: `java.beans.PropertyChangeListener`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.